GET/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards

https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/delegators/string/rewards

Retrieves the total accumulated rewards per validator.

Path Parameters
delegator_addressstringrequired

delegator_addr defines the delegator address to query for.

Responses
validator_addressstring

Address of the validator paying the rewards.

rewardobject[]

Rewards from this validator.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

X-API-KEY
RequestCU35
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/delegators/string/rewards" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "rewards": [
    {
      "validator_address": "string",
      "reward": [
        {}
      ]
    }
  ],
  "total": [
    {
      "denom": "string",
      "amount": "string"
    }
  ]
}